Class | CGI::Session::MemoryStore
In: | cgi/session.rb
Parent: | Object

In-memory session storage class.

Implements session storage as a global in-memory hash. Session data will only persist for as long as the ruby interpreter instance does.

### Methods

close delete new restore update

### Public Class methods

new(session, option=nil)

Create a new MemoryStore instance.

`session` is the session this instance is associated with. `option` is a list of initialisation options. None are currently recognised.

[Source]

    # File cgi/session.rb, line 451
          def initialize(session, option=nil)
            @session_id = session.session_id
            unless GLOBAL_HASH_TABLE.key?(@session_id)
              unless session.new_session
                raise CGI::Session::NoSession, "uninitialized session"
              end
              GLOBAL_HASH_TABLE[@session_id] = {}
            end
          end

### Public Instance methods

close()

Close session storage.

A no-op.

[Source]

    # File cgi/session.rb, line 478
          def close
            # don't need to close
          end

delete()

Delete the session state.

[Source]

    # File cgi/session.rb, line 483
          def delete
            GLOBAL_HASH_TABLE.delete(@session_id)
          end

restore()

Restore session state.

Returns session data as a hash.

[Source]

    # File cgi/session.rb, line 464
          def restore
            GLOBAL_HASH_TABLE[@session_id]
          end

update()

Update session state.

A no-op.

[Source]

    # File cgi/session.rb, line 471
          def update
            # don't need to update; hash is shared
          end

[Validate]